<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // bank transfer payment option, displays IBAN and BIC/SWIFT for electronic/wire transfers

    // payment options must contain the folowing data
    $payment_option_details=array();
    $payment_option_details['item_type']='payment_option'; // required - do not change or remove this

    $payment_option_details['id']="banktransfer";  // required - each payment option must have a unique id that matches the file name exactly minus the extension
    $payment_option_details['admin_name']="Bank Transfer";  // display name in admin area
    $payment_option_details['admin_description']="Accept bank transfer payments."; // description displayed in admin
    $payment_option_details['name']="Pay by Bank Transfer"; // display name in checkout/front end
    $payment_option_details['description']="Use the following bank account details when making an electronic/wire transfer.";  // description displayed in checkout/front end

    // custom data specific to this payment option - for configuration in the admin area
    $payment_option_details['value']['merchant_name']['name']="Account Name";
    $payment_option_details['value']['merchant_name']['admin_description']="Enter the bank account details where electronic/wire transfers should be sent.";
    $payment_option_details['value']['merchant_name']['value']=$cms_settings['config']['site_name'];
    $payment_option_details['value']['iban']['name']="IBAN";
    $payment_option_details['value']['iban']['admin_description']="";
    $payment_option_details['value']['iban']['value']="";
    $payment_option_details['value']['bic']['name']="BIC/SWIFT";
    $payment_option_details['value']['bic']['admin_description']="";
    $payment_option_details['value']['bic']['value']="";

    // get saved data for this payment option if it exists (saved data can then be used in $payment_option_form)
    if ($saved_payment_option_details=get_item_details('payment_option',$payment_option_details['id'])){
        if (function_exists('array_replace_recursive')){
            // php5.3.0 or higher
           $payment_option_details=array_replace_recursive($payment_option_details,$saved_payment_option_details);
        }
        else{
            // legacy code for pre php5.3.0
            $payment_option_details=$saved_payment_option_details;
        }
    }

    if (!isset($rvi_paynow) || !isset($payment_option_details['status']) || $payment_option_details['status']<1){return;}
    // ------------- paynow button code goes below here -------------

    if (!empty($order_details['id'])){$payment_option_details['description'].="<br><br>Please include your name and order number <span style=\"font-weight:bold\">".$order_details['id']."</span> if prompted for a payment reference.";}
    else{$payment_option_details['description'].="<br><br>Please include your name if prompted for a payment reference.";}

    $payment_option_form="<div class=\"notranslate\" style=\"display: inline-block; text-align: left\">
    <p><span style=\"font-weight:bold\">IBAN:</span> ".$payment_option_details['value']['iban']['value']."</p>
    <p><span style=\"font-weight:bold\">BIC/SWIFT:</span> ".$payment_option_details['value']['bic']['value']."</p>
    </div>";


?>